## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# MapValueDeleteFunctor< T > Struct Template Reference

Functor to delete value objects in maps, used in STL iteration algorithms. More...

List of all members.

## Public Types

- typedef std::unary_function<
  const typename T::value_type &,
  void > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Member Functions

- MapValueDeleteFunctor (MemoryManagerType &theManager)
- result_type operator() (argument_type thePair) const
    Delete the value object in a map value pair.

## Detailed Description

### template<class T>
struct MapValueDeleteFunctor< T >

Functor to delete value objects in maps, used in STL iteration algorithms.

## Member Typedef Documentation

template<class T>
typedef BaseClassType::argument_type MapValueDeleteFunctor< T >::argument_type

template<class T>
typedef std::unary_function<const typename T::value_type&, void> MapValueDeleteFunctor< T >::BaseClassType

template<class T>
typedef BaseClassType::result_type MapValueDeleteFunctor< T >::result_type

## Constructor & Destructor Documentation

template<class T>
MapValueDeleteFunctor< T >::MapValueDeleteFunctor | ( | MemoryManagerType & | theManager | ) |

## Member Function Documentation

template<class T>
result_type MapValueDeleteFunctor< T >::operator() | ( | argument_type | thePair | ) | const

  | Delete the value object in a map value pair. The value of the pair must be of pointer type. Parameters:
  thePair | key-value pair

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.